org.apache.commons.jelly

## Class MapTagSupport

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.DynaTagSupport
    - - org.apache.commons.jelly.MapTagSupport

All Implemented Interfaces:
  DynaTag, Tag

Direct Known Subclasses:
  SetPropertiesTag, UseBeanTag

    public abstract class MapTagSupport
    extends DynaTagSupport

`MapTag` is a DynaTag implementation which uses a Map to store its attribute values in. Derived tags can then process this Map, change values, add or remove attributes or perform some other form of processsing pretty easily.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`MapTagSupport()`

### Method Summary

Methods
`protected Map` `createAttributes()` A Factory Method which allows derived tags to overload the Map implementation used by this tag
`protected Map` `getAttributes()` Helper method which allows derived tags to access the attributes associated with this tag
`void` `setAttribute(String name, Object value)` Sets an attribute value of this tag before the tag is invoked

### Methods inherited from class org.apache.commons.jelly.DynaTagSupport

`getAttributeType`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.commons.jelly.Tag

`doTag, getBody, getContext, getParent, invokeBody, setBody, setContext, setParent`

### Constructor Detail

#### MapTagSupport

    public MapTagSupport()

### Method Detail

#### setAttribute

    public void setAttribute(String name,
                    Object value)

Sets an attribute value of this tag before the tag is invoked

#### getAttributes

    protected Map getAttributes()

Helper method which allows derived tags to access the attributes associated with this tag

#### createAttributes

    protected Map createAttributes()

A Factory Method which allows derived tags to overload the Map implementation used by this tag